Package net.shibboleth.idp.attribute.filter.matcher.logic.impl

# Class AndMatcher

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.filter.matcher.logic.impl.AbstractComposedMatcher
net.shibboleth.idp.attribute.filter.matcher.logic.impl.AndMatcher

All Implemented Interfaces:
  `Matcher`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`, `UnmodifiableComponent`

@ThreadSafe public class AndMatcher extends AbstractComposedMatcher
`Matcher` that implements the conjunction of matchers. That is, a given attribute value is considered to have matched if, and only if, it is returned by every composed `Matcher`. If any of the matchers fail then failure is returned.

## Field Summary

### Fields inherited from interface net.shibboleth.idp.attribute.filter.Matcher

`MATCHER_FAILS, MATCHES_ALL, MATCHES_NONE`

## Constructor Summary

Constructors
Constructor
Description
`AndMatcher()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`Set<IdPAttributeValue>`
`getMatchingValues(IdPAttribute attribute, AttributeFilterContext filterContext)`
A given attribute value is considered to have matched if, and only if, it is returned by every composed.
`String`
`toString()`

### Methods inherited from class net.shibboleth.idp.attribute.filter.matcher.logic.impl.AbstractComposedMatcher

`getComposedMatchers, setSubsidiaries`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Constructor Details

### AndMatcher

public AndMatcher()

## Method Details

### getMatchingValues

@Nullable @Unmodifiable @NotLive public Set<IdPAttributeValue> getMatchingValues(@Nonnull IdPAttribute attribute, @Nonnull AttributeFilterContext filterContext)
A given attribute value is considered to have matched if, and only if, it is returned by every composed. If any of the matchers fail then failure is returned `Matcher`. Return those `IdPAttributeValue`s which match this rule, or null if the matcher failed.

Parameters:
  `attribute` - the attribute under question.
  `filterContext` - the filter context
Returns:
  The result of this rule. Null if we failed.

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractComposedMatcher`
Throws:
  `ComponentInitializationException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`